Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class DocumentManager

    java.lang.Object
      com.developmentontheedge.application.DocumentManager
          ru.biosoft.gui.DocumentManager

public class DocumentManager
extends DocumentManager

Specail document manager that supports sharing of View/EditorParts between several documents. For example if an application contains one instance of specific EditorPart it can be shared by several documents, the editor part will show the content of active document.

Field Summary
`protected java.util.List` | `editorList`

Fields inherited from class com.developmentontheedge.application.DocumentManager
`activeDocument`

Constructor Summary
`DocumentManager(DocumentFactory documentFactory)`

Method Summary
`static Document` | `getActiveDocument(java.awt.Component child)`
`java.util.List` | `getEditorList()`
`void` | `registerEditorPart(ViewPart viewPart)` Registers editor part that can be shared by several documets.
`void` | `setActiveDocument(ApplicationDocument document)`
`static void` | `setActiveDocument(Document document, java.awt.Component child)`

Methods inherited from class com.developmentontheedge.application.DocumentManager
`getActiveDocument, getDocumentFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editorList

    protected java.util.List editorList

Constructor Detail

### DocumentManager

    public DocumentManager(DocumentFactory documentFactory)

Method Detail

### getActiveDocument

    public static Document getActiveDocument(java.awt.Component child)

### setActiveDocument

    public static void setActiveDocument(Document document,
                                         java.awt.Component child)

### setActiveDocument

    public void setActiveDocument(ApplicationDocument document)

  Overrides:
    `setActiveDocument` in class `DocumentManager`

### getEditorList

    public java.util.List getEditorList()

### registerEditorPart

    public void registerEditorPart(ViewPart viewPart)

  Registers editor part that can be shared by several documets.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.